﻿
using CommonMP.HYSSOP.CoreImpl.HSData;

namespace KyotoUnivEngHywr
{
	/// <summary><para>class outline:</para>
	/// <para>KyotoUniv.Hydrology演算系モデル共通定義クラス</para>
	/// </summary>
    public class DistributedModelWithKinematicWaveDefine
	{
		// ****************************
		// ===== ModelPattern ========
		// ****************************
		/// <summary>システムデフォルトモデルファクトリ</summary>
        public static readonly HySID HYDROLOGY_MODEL_LIB = new HySID("KyotoUnivEngHywr.DistributedModelWithKinematicWave.Factory");
		/// <summary>モデルプロパティ設定画面用ファクトリクラス（独自画面作成時に必要）</summary>
        public static HySID PROPERTY_SCREEN_FACTORY_LIB_ID = new HySID("KyotoUnivEngHywr.DistributedModelWithKinematicWave.PropertyScreenFactory");

		/// <summary>KyotoUnivHydrologyKinematicEdgeModelモデル種別</summary>
        public static readonly HySObjectKind HYDROLOGY_KINEMATIC_EDGE_KIND = new HySObjectKind("KyotoUnivEngHywr.DistributedModelWithKinematicWave");
		/// <summary>KyotoUnivHydrologyKinematicEdgeModelモデル名称</summary>
        public static readonly HySString HYDROLOGY_KINEMATIC_EDGE_NAME = new HySString("KyotoUnivEngHywr.DistributedModelWithKinematicWave");


		// ********************************
		// ===== DataPattern ========
		// ********************************

		/// <summary>2次元雨量情報入力</summary>
		public static readonly HySID IN_RAINDATA_2D = new HySID("RainData2D");

		/// <summary>2次元雨量情報入力</summary>
		public static readonly HySID IN_EVPDATA_2D = new HySID("EvpData2D");

		/// <summary>一様雨量情報入力</summary>
		public static readonly HySID IN_RAINDATA_POINT = new HySID("RainDataPoint");
		/// <summary>一様蒸発散情報入力</summary>
		public static readonly HySID IN_EVPDATA_POINT = new HySID("EvpDataPoint");


		/// <summary>ダム状態出力</summary>
		public static readonly HySID OUT_PATTERN_COND = new HySID("DamCondition");

		/// <summary>上流端入力</summary>
		public static readonly HySID IN_PATTERN_TOP = new HySID("TopIn");
		/// <summary>支流からの横流入 </summary>
		public static readonly HySID IN_PATTERN_LATERAL = new HySID("Lateral");
		/// <summary>下流端出力</summary>
		public static readonly HySID OUT_PATTERN_BOTTOM = new HySID("BottomOut");

	}
}
